Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.addressbook.session
Interface AddressbookSessionService

All Known Implementing Classes:
  AddressbookSessionServiceImpl

    public interface AddressbookSessionService

Interface for all Addressbook services Default impl : `AddressbookSessionServiceImpl` Factory : `AddressbookSessionServiceFactory`

Method Summary
`GetOrganizationContactInfoResponse` | `getOrganizationContactInfo(GetOrganizationContactInfoRequest request)`
`GetProfessionalContactInfoResponse` | `getProfessionalContactInfo(GetProfessionalContactInfoRequest request)`
`SearchOrganizationsResponse` | `searchOrganizations(SearchOrganizationsRequest request)`
`SearchProfessionalsResponse` | `searchProfessionals(SearchProfessionalsRequest request)`

Method Detail

### getOrganizationContactInfo

    GetOrganizationContactInfoResponse getOrganizationContactInfo(GetOrganizationContactInfoRequest request)
                                                                  throws TechnicalConnectorException

  Parameters:
    `token` -
    `request` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### getProfessionalContactInfo

    GetProfessionalContactInfoResponse getProfessionalContactInfo(GetProfessionalContactInfoRequest request)
                                                                  throws TechnicalConnectorException

  Parameters:
    `token` -
    `request` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### searchOrganizations

    SearchOrganizationsResponse searchOrganizations(SearchOrganizationsRequest request)
                                                    throws TechnicalConnectorException

  Parameters:
    `token` -
    `request` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### searchProfessionals

    SearchProfessionalsResponse searchProfessionals(SearchProfessionalsRequest request)
                                                    throws TechnicalConnectorException

  Parameters:
    `token` -
    `request` -
  Returns:
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.